Package org.apache.tomcat.util.security

## Class PrivilegedSetTccl

- java.lang.Object
- - org.apache.tomcat.util.security.PrivilegedSetTccl

All Implemented Interfaces:
  `java.security.PrivilegedAction<java.lang.Void>`

    public class PrivilegedSetTccl
    extends java.lang.Object
    implements java.security.PrivilegedAction<java.lang.Void>

### Constructor Summary

Constructors
`PrivilegedSetTccl​(java.lang.ClassLoader cl)`
`PrivilegedSetTccl​(java.lang.Thread t, java.lang.ClassLoader cl)`

### Method Summary

All Methods Instance Methods Concrete Methods
`java.lang.Void` `run()`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### PrivilegedSetTccl

    public PrivilegedSetTccl​(java.lang.ClassLoader cl)

#### PrivilegedSetTccl

    public PrivilegedSetTccl​(java.lang.Thread t,
                             java.lang.ClassLoader cl)

### Method Detail

#### run

    public java.lang.Void run()

Specified by:
  `run` in interface `java.security.PrivilegedAction<java.lang.Void>`